OD(1)

NAMN
od — dumpa filer i oktalt och andra format

SYNOPSIS
od [FLAGGA]... [FIL]...
od [-abcdfilosx]... [FIL] [[+]FÖRSKJUTNING[.][b]]
od --traditional [FLAGGA]... [FIL] [[+]FÖRSKJUTNING[.][b] [+][ETIKETT][.][b]]

BESKRIVNING

Skriv en entydig representation, normalt oktala tecken, av FIL till standard ut. Med mer än ett FIL-argument, slå samman dem i den angivna ordningen som indata.

Utan FIL, eller när FIL är -, läs standard in.

Om både det första och andra anropsformatet är tillämpligt, används det andra formatet om den sista operanden börjar med + eller (om det finns två operander) en siffra. En operand FÖRSKJUTNING betyder -j FÖRSKJUTNING. ETIKETT är den första skrivna bytens pseudoadress, vilken ökas så länge utmatningen pågår. För FÖRSKJUTNING och ETIKETT indikerar förstavelserna 0x eller 0X hexadecimalt, ändelser kan vara . för oktalt och b multiplicerar med 512.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-A, --address-radix=RADIX
    Utformat för filpositioner; RADIX är en av [doxn], för Decimal, Oktal, Hex eller iNgen.

--endian={big|little}
    Byt plats på indatabyte:ar enligt angiven byteordning.

-j, --skip-bytes=BYTE
    Hoppa först över BYTE byte i indata.

-N, --read-bytes=BYTE
    Begränsa utmatning till BYTE byte från indata.

-S BYTE, --strings[=BYTE]
    Skriv ut strängar med minst BYTE grafiska tecken; 3 underförstås när BYTE inte anges.

-t, --format=TYP
    Välj format för utmatning.

-v, --output-duplicates
    Använd inte * för att markera undertryckta rader.

-w[BYTE], --width[=BYTE]
    Skriv ut BYTE byte per rad. 32 underförstås när BYTE inte anges.

--traditional
    Acceptera argument i tredje formatet ovan.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

  Traditional format specifications may be intermixed; they accumulate:

-a  samma som -t a, välj namngivna tecken, ignorera höga biten

-b  samma som -t o1, välj oktala byte

-c  samma som -t c, välj skrivbara tecken eller sekvenser med omvänt snedstreck

-d  samma som -t u2, välj decimala 2-byteenheter utan tecken

-f  samma som -t fF, välj flyttal

-i  samma som -t dI, välj decimala heltal

-l  samma som -t dL, välj decimala långa heltal

-o  samma som -t o2, välj oktala 2-byteenheter

-s  samma som -t d2, välj decimala 2-byteenheter

-x  samma som -t x2, välj hexadecimala 2-byteenheter

  TYP skapas av en eller fler av dessa specifikationer:

a   namngivet tecken, ignorera höga biten

c   skrivbara tecken eller sekvens med omvänt snedstreck

d[STORLEK]
    decimalt med tecken, STORLEK byte per heltal

f[STORLEK]
    flyttal, STORLEK byte per flyttal

o[STORLEK]
    oktalt, STORLEK byte per heltal

u[STORLEK]
    decimalt utan tecken, STORLEK byte per heltal

x[STORLEK]
    hexadecimalt, STORLEK byte per heltal

STORLEK är ett tal. För TYP i [doux] kan STORLEK också vara C för sizeof(char), S för sizeof(short), I för sizeof(int) eller L för sizeof(long). Om TYP är f kan STORLEK också vara F för sizeof(float), D för sizeof(double) eller L för sizeof(long double).

Att lägga till ett z-suffix till valfri typ visar skrivbara tecken vid slutet av varje utdatarad.

  BYTE är hex med prefixet 0x eller 0X, och kan ha en multiplikativ ändelse:

b   512

KB  1000

K   1024

MB  1000·1000

M   1024·1024

och så vidare för G, T, P, E, Z, Y. Binära prefix kan också användas: KiB=K, MiB=M, och så vidare.

EXEMPEL

od -A x -t x1z -v
    Visa utdata i hexdumpformat

od -A o -t oS -w16
    Standardformatet för utmatning som används av od

UPPHOVSMAN
Skrivet av Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/od>
eller tillgängligt lokalt via: info '(coreutils) od invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.